Bug 219305 - Comment out requiretty in /etc/sudoers
Comment out requiretty in /etc/sudoers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Preethi Thomas
:
Depends On:
Blocks: rhn-sat-on-rhel5
  Show dependency treegraph
 
Reported: 2006-12-12 10:30 EST by Ken Ganong
Modified: 2009-08-13 05:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 09:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-12-12 10:30:22 EST
On RHEL 5, /etc/sudoers comes with the line:
Default    requiretty

We need to comment this out during an install so that the satellite can restart
itself and its monitoring services.
Comment 1 Ken Ganong 2006-12-15 15:46:03 EST
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.
Comment 2 Mike McCune 2007-03-23 16:35:27 EDT
on-qa
Comment 3 Preethi Thomas 2009-03-09 10:46:28 EDT
Mike,
has this been implemented?
Default    requiretty is not commented my rhel5 satellite 5.3 /etc/sudoers
Comment 4 Mike McCune 2009-04-02 23:01:52 EDT
You can close this out we have:

# These two directives allow tomcat and apache to invoke CONFIG_RHN
# commands via sudo even without a real tty
Defaults:tomcat !requiretty
Defaults:apache !requiretty

in /etc/sudoers that is added by the installer.

This must have been solved during Satellite 5.2.0 by some other bug or the RHEL 5 feature itself.
Comment 5 Preethi Thomas 2009-04-06 09:18:07 EDT
closing as per  the comment above

Note You need to log in before you can comment on or make changes to this bug.